## nvtop 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

#///////////////////////////////////////////////////////////////////#
#                              PROJECT                              #
#///////////////////////////////////////////////////////////////////#

project(nvtop VERSION 1.0.0
  LANGUAGES C)

set(default_build_type "Release")
# Default build type
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
    STRING "Choose the type of build." FORCE)
endif()
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
  "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

#///////////////////////////////////////////////////////////////////#
#                           DEPENDENCIES                            #
#///////////////////////////////////////////////////////////////////#

if(NVML_RETRIEVE_HEADER_ONLINE)
  file(DOWNLOAD "https://raw.githubusercontent.com/NVIDIA/nvidia-settings/master/src/nvml.h" ${PROJECT_BINARY_DIR}/include/nvml.h)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(NVML REQUIRED)

add_library(nvml INTERFACE IMPORTED)
set_property(TARGET nvml PROPERTY
  INTERFACE_INCLUDE_DIRECTORIES ${NVML_INCLUDE_DIRS})
set_property(TARGET nvml PROPERTY
  INTERFACE_LINK_LIBRARIES ${NVML_LIBRARIES})

set(CURSES_NEED_NCURSES TRUE)
# Try to find ncurses with unicode support first
set(CURSES_NEED_WIDE TRUE)
find_package(Curses QUIET)
if (NOT CURSE_FOUND)
  # Fallback to regular ncurses library, which may also support unicode!
  set(CURSES_NEED_WIDE FALSE)
  find_package(Curses REQUIRED)
endif()

add_library(ncurses INTERFACE IMPORTED)
set_property(TARGET ncurses PROPERTY
  INTERFACE_INCLUDE_DIRECTORIES ${CURSES_INCLUDE_DIRS})
set_property(TARGET ncurses PROPERTY
  INTERFACE_LINK_LIBRARIES ${CURSES_LIBRARIES})

#///////////////////////////////////////////////////////////////////#
#                        COMPILATION OPTIONS                        #
#///////////////////////////////////////////////////////////////////#

# Use full RPATH on build tree
set(CMAKE_SKIP_BUILD_RPATH FALSE)
# Do not build with install RPATH
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
# Set the RPATH when install
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
# Only set RPATH if the installation directory is not a system directory
LIST(FIND
  CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib"
  isSystemDir)
if("${isSystemDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
else()
  set(CMAKE_INSTALL_RPATH "")
endif()

add_subdirectory(src)

#///////////////////////////////////////////////////////////////////#
#                             INSTALL                               #
#///////////////////////////////////////////////////////////////////#

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/manpage/nvtop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
  IMMEDIATE @ONLY)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
  DESTINATION share/man/man1/
  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
  RENAME nvtop.1)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


#///////////////////////////////////////////////////////////////////#
#                            PACKAGING                              #
#///////////////////////////////////////////////////////////////////#

#set(CPACK_PACKAGE_NAME "nvtop")
#set(CPACK_PACKAGE_VENDOR "Maxime Schmitt")
#set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NVIDIA GPU monitoring tool")
#set(CPACK_PACKAGE_DESCRIPTION
  #"Nvtop is a htop-like monitoring tool for NVIDIA GPUs. It can print GPUs information such as GPU and memory usage, temperature and active processes.")
#set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.markdown")
#set(CPACK_PACKAGE_EXECUTABLES "nvtop")
#set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
#set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
#set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

#set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "x86-64")
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "")
#set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Maxime Schmitt <maxime.schmitt@gmail.com>")
#set(CPACK_DEBIAN_PACKAGE_SECTION "Utilities")
#set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")

#set(CPACK_RPM_PACKAGE_ARCHITECTURE "amd64")
#set(CPACK_RPM_PACKAGE_RELEASE 1)
#set(CPACK_RPM_PACKAGE_LICENSE "GPL3+")
#set(CPACK_RPM_PACKAGE_REQUIRES "")

#set(CPACK_GENERATOR "TGZ;TBZ2")
#list(APPEND CPACK_GENERATOR "DEB") # .deb package build
#list(APPEND CPACK_GENERATOR "RPM") # .rpm package build
#set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;ZIP")
#set(CPACK_SOURCE_IGNORE_FILES
  #.git*
  #/.*build.*
  #)
#include(CPack)

=== src/CMakeLists.txt ===
configure_file(
  "${PROJECT_SOURCE_DIR}/include/nvtop/version.h.in"
  "${PROJECT_BINARY_DIR}/include/nvtop/version.h"
  IMMEDIATE @ONLY)

add_executable (nvtop
  nvtop.c
  interface.c
  interface_layout_selection.c
  get_process_info_linux.c
  extract_gpuinfo.c
  time.c
  plot.c)

target_include_directories(nvtop PRIVATE
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include)

set_property(TARGET nvtop PROPERTY C_STANDARD 11)

target_link_libraries(nvtop
  PRIVATE nvml ncurses m)

install (TARGETS nvtop
  RUNTIME DESTINATION bin)

include(compile-flags-helpers)
include(${PROJECT_SOURCE_DIR}/cmake/optimization_flags.cmake)

add_compiler_option_to_target_type(nvtop Debug PRIVATE ${ADDITIONAL_DEBUG_COMPILE_OPTIONS})
add_linker_option_to_all_but_target_type(nvtop dummy PRIVATE ${ADDITIONAL_RELEASE_LINK_OPTIONS})

add_sanitizers_to_target(nvtop Debug PRIVATE address undefined)

=== debian/changelog ===
nvtop (1.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 May 2019 19:05:50 -0700

nvtop (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #918702)

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Thu, 10 Jan 2019 10:23:41 +0100

=== debian/control ===
Source: nvtop
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maxime Schmitt <maxime.schmitt91@gmail.com>
Section: contrib/utils
Priority: optional
Standards-Version: 4.3.0
Build-Depends: debhelper (>=10~),
               cmake (>=3.1),
               nvidia-cuda-dev,
               libnvidia-ml1,
               libncurses-dev,
Homepage: https://github.com/Syllo/nvtop

Package: nvtop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interactive NVIDIA GPU process monitor
 Nvtop is a ncurses-based GPU monitoring interface which provides information
 on the GPU states (GPU and memory utilization, temperature, etc) and well as
 information about the processes executing on the GPUs.

## nvtop 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 1.0.0
+project(nvtop VERSION 1.1.0
   LANGUAGES C)
 
 set(default_build_type "Release")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include(CheckCSourceCompiles)
+
 configure_file(
   "${PROJECT_SOURCE_DIR}/include/nvtop/version.h.in"
   "${PROJECT_BINARY_DIR}/include/nvtop/version.h"
@@ -15,6 +17,33 @@
 target_include_directories(nvtop PRIVATE
   ${PROJECT_SOURCE_DIR}/include
   ${PROJECT_BINARY_DIR}/include)
+set(CMAKE_REQUIRED_INCLUDES "${NVML_INCLUDE_DIRS};${PROJECT_BINARY_DIR}/include")
+set(CMAKE_REQUIRED_LIBRARIES "${NVML_LIBRARIES}")
+unset(COMPILE_RESULT CACHE)
+check_c_source_compiles(
+  "
+#include <stdlib.h>
+#include <nvml.h>
+
+int main()
+{
+    nvmlReturn_t ret = nvmlInit();
+    unsigned devCount;
+    nvmlReturn_t ret2 = nvmlDeviceGetCount(&devCount);
+    nvmlDevice_t device;
+    nvmlReturn_t ret3 = nvmlDeviceGetHandleByIndex(0u, &device);
+    nvmlReturn_t ret4 = nvmlDeviceGetComputeRunningProcesses(device, NULL, NULL);
+    nvmlReturn_t ret5 = nvmlDeviceGetGraphicsRunningProcesses(device, NULL, NULL);
+    return EXIT_SUCCESS;
+}
+  " COMPILE_RESULT)
+
+if(NOT COMPILE_RESULT)
+  message(WARNING "The downloaded \"nvml.h\" header does not match the installed library version, unprecise information may be displayed in nvtop as a result."
+  "\nYou can solve this by dowloading it from the src repository of https://github.com/NVIDIA/nvidia-settings using the tag that matches your driver version and placing the file in the build/include directory of nvtop.")
+  target_compile_definitions(nvtop PRIVATE NVML_NO_UNVERSIONED_FUNC_DEFS)
+endif()
+unset(COMPILE_RESULT CACHE)
 
 set_property(TARGET nvtop PROPERTY C_STANDARD 11)

=== debian/changelog ===
nvtop (1.1.0-1) unstable; urgency=medium

  [ Maxime Schmitt ]
  * Update to new upstream release 1.1.0.

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Thu, 07 Jan 2021 16:10:44 +0100

nvtop (1.0.0-2) unstable; urgency=medium

  * Switch nvidia-specific Build-Depends to libnvidia-ml-dev.
  * Switch to debhelper-compat (= 13).
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add explanation for placement in contrib.
  * Set Maintainer to Debian NVIDIA Maintainers, move Maxime to Uploaders.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Nov 2020 16:05:12 +0100

=== debian/control ===
Source: nvtop
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Maxime Schmitt <maxime.schmitt91@gmail.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.1),
 libncurses-dev,
 libnvidia-ml-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/Syllo/nvtop
Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

Package: nvtop
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Interactive NVIDIA GPU process monitor
 Nvtop is a ncurses-based GPU monitoring interface which provides information
 on the GPU states (GPU and memory utilization, temperature, etc) and well as
 information about the processes executing on the GPUs.

## nvtop 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 1.1.0
+project(nvtop VERSION 1.2.2
   LANGUAGES C)
 
 set(default_build_type "Release")
@@ -22,19 +22,7 @@
 #                           DEPENDENCIES                            #
 #///////////////////////////////////////////////////////////////////#
 
-if(NVML_RETRIEVE_HEADER_ONLINE)
-  file(DOWNLOAD "https://raw.githubusercontent.com/NVIDIA/nvidia-settings/master/src/nvml.h" ${PROJECT_BINARY_DIR}/include/nvml.h)
-endif()
-
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-
-find_package(NVML REQUIRED)
-
-add_library(nvml INTERFACE IMPORTED)
-set_property(TARGET nvml PROPERTY
-  INTERFACE_INCLUDE_DIRECTORIES ${NVML_INCLUDE_DIRS})
-set_property(TARGET nvml PROPERTY
-  INTERFACE_LINK_LIBRARIES ${NVML_LIBRARIES})
 
 set(CURSES_NEED_NCURSES TRUE)
 # Try to find ncurses with unicode support first

=== src/CMakeLists.txt ===
include(CheckCSourceCompiles)

configure_file(
  "${PROJECT_SOURCE_DIR}/include/nvtop/version.h.in"
  "${PROJECT_BINARY_DIR}/include/nvtop/version.h"
  IMMEDIATE @ONLY)

add_executable (nvtop
  nvtop.c
  interface.c
  interface_layout_selection.c
  interface_options.c
  interface_setup_win.c
  interface_ring_buffer.c
  get_process_info_linux.c
  extract_gpuinfo.c
  extract_gpuinfo_nvidia.c
  time.c
  plot.c
  ini.c)

target_include_directories(nvtop PRIVATE
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include)

set_property(TARGET nvtop PROPERTY C_STANDARD 11)

target_compile_definitions(nvtop PRIVATE _GNU_SOURCE)

target_link_libraries(nvtop
  PRIVATE ncurses m ${CMAKE_DL_LIBS})

install (TARGETS nvtop
  RUNTIME DESTINATION bin)

include(compile-flags-helpers)
include(${PROJECT_SOURCE_DIR}/cmake/optimization_flags.cmake)

add_compiler_option_to_target_type(nvtop Debug PRIVATE ${ADDITIONAL_DEBUG_COMPILE_OPTIONS})
add_linker_option_to_all_but_target_type(nvtop dummy PRIVATE ${ADDITIONAL_RELEASE_LINK_OPTIONS})

add_sanitizers_to_target(nvtop Debug PRIVATE address undefined)

=== debian/changelog ===
nvtop (1.2.2-1) unstable; urgency=medium

  * Update to upstream release 1.2.2.
  * Update the debian metadata fields to the latest version.
  * Remove libnvidia-ml from the build dependencies.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Maxime Schmitt <maxime.schmitt91@gmail.com>  Wed, 15 Sep 2021 19:50:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  debhelper-compat (= 13),
  cmake (>= 3.1),
  libncurses-dev,
- libnvidia-ml-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

## nvtop 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 #///////////////////////////////////////////////////////////////////#
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 1.2.2
-  LANGUAGES C)
+project(nvtop VERSION 3.0.1
+  LANGUAGES C CXX)
 
 set(default_build_type "Release")
 # Default build type
@@ -60,21 +60,43 @@
   set(CMAKE_INSTALL_RPATH "")
 endif()
 
+option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
+option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
+
 add_subdirectory(src)
 
 #///////////////////////////////////////////////////////////////////#
 #                             INSTALL                               #
 #///////////////////////////////////////////////////////////////////#
 
+string(TIMESTAMP TODAY_MANPAGE "%B %Y")
+string(TIMESTAMP TODAY_ISO_8601 "%Y-%m-%d")
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/manpage/nvtop.in"
   "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
+  IMMEDIATE @ONLY)
+configure_file(
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.metainfo.xml.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/desktop/nvtop.metainfo.xml"
   IMMEDIATE @ONLY)
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/manpage/nvtop"
   DESTINATION share/man/man1/
   PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
   RENAME nvtop.1)
+install(FILES
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.svg"
+  DESTINATION share/icons
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+install(FILES
+  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/nvtop.desktop"
+  DESTINATION share/applications
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/desktop/nvtop.metainfo.xml"
+  DESTINATION share/metainfo
+  PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
@@ -84,39 +106,13 @@
   COMMAND ${CMAKE_COMMAND} -P
   ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 
-
 #///////////////////////////////////////////////////////////////////#
-#                            PACKAGING                              #
+#                             TESTING                               #
 #///////////////////////////////////////////////////////////////////#
 
-#set(CPACK_PACKAGE_NAME "nvtop")
-#set(CPACK_PACKAGE_VENDOR "Maxime Schmitt")
-#set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NVIDIA GPU monitoring tool")
-#set(CPACK_PACKAGE_DESCRIPTION
-  #"Nvtop is a htop-like monitoring tool for NVIDIA GPUs. It can print GPUs information such as GPU and memory usage, temperature and active processes.")
-#set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.markdown")
-#set(CPACK_PACKAGE_EXECUTABLES "nvtop")
-#set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
-#set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
-#set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
 
-#set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "x86-64")
-#set(CPACK_DEBIAN_PACKAGE_DEPENDS "")
-#set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Maxime Schmitt <maxime.schmitt@gmail.com>")
-#set(CPACK_DEBIAN_PACKAGE_SECTION "Utilities")
-#set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
-
-#set(CPACK_RPM_PACKAGE_ARCHITECTURE "amd64")
-#set(CPACK_RPM_PACKAGE_RELEASE 1)
-#set(CPACK_RPM_PACKAGE_LICENSE "GPL3+")
-#set(CPACK_RPM_PACKAGE_REQUIRES "")
-
-#set(CPACK_GENERATOR "TGZ;TBZ2")
-#list(APPEND CPACK_GENERATOR "DEB") # .deb package build
-#list(APPEND CPACK_GENERATOR "RPM") # .rpm package build
-#set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;ZIP")
-#set(CPACK_SOURCE_IGNORE_FILES
-  #.git*
-  #/.*build.*
-  #)
-#include(CPack)
+if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
+  option(BUILD_TESTING "Build tests" OFF)
+endif()
+include(CTest)
+add_subdirectory(tests)

=== src/CMakeLists.txt ===
include(CheckCSourceCompiles)

configure_file(
  "${PROJECT_SOURCE_DIR}/include/nvtop/version.h.in"
  "${PROJECT_BINARY_DIR}/include/nvtop/version.h"
  IMMEDIATE @ONLY)

add_executable(nvtop
  nvtop.c
  interface.c
  interface_layout_selection.c
  interface_options.c
  interface_setup_win.c
  interface_ring_buffer.c
  get_process_info_linux.c
  extract_gpuinfo.c
  extract_processinfo_fdinfo.c
  time.c
  plot.c
  ini.c
  info_messages_linux.c)

check_c_source_compiles(
  "
  #include <stdlib.h>
  int main() {
    int *buf = NULL;
    buf = reallocarray(buf, 15, sizeof(*buf));
    return EXIT_SUCCESS;
  }
  "
  HAS_REALLOCARRAY
)

if(HAS_REALLOCARRAY)
  target_compile_definitions(nvtop PRIVATE HAS_REALLOCARRAY)
endif()

find_package(UDev)
find_package(Systemd)
option(USE_LIBUDEV_OVER_LIBSYSTEMD "Use libudev, even if libsystemd is present" OFF)

if(NVIDIA_SUPPORT)
  target_sources(nvtop PRIVATE extract_gpuinfo_nvidia.c)
endif()

if(AMDGPU_SUPPORT OR INTEL_SUPPORT)
  if((SYSTEMD_FOUND AND UDEV_FOUND AND USE_LIBUDEV_OVER_LIBSYSTEMD) OR(NOT SYSTEMD_FOUND AND UDEV_FOUND))
    target_compile_definitions(nvtop PRIVATE USING_LIBUDEV)
    target_link_libraries(nvtop PRIVATE udev)
  elseif(SYSTEMD_FOUND)
    target_compile_definitions(nvtop PRIVATE USING_LIBSYSTEMD)
    target_link_libraries(nvtop PRIVATE systemd)
  else()
    message(FATAL_ERROR "Neither libsystemd nor libudev were found; These are required for AMDGPU and INTEL support")
  endif()

  target_sources(nvtop PRIVATE device_discovery_linux.c)
endif()

if(AMDGPU_SUPPORT)
  # Search for libdrm for AMDGPU support
  find_package(Libdrm)

  if(Libdrm_FOUND)
    message(STATUS "Found libdrm; Enabling AMDGPU support")
    target_include_directories(nvtop PRIVATE ${Libdrm_INCLUDE_DIRS})
    target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
  else()
    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU support")
  endif()
endif()

if(INTEL_SUPPORT)
  target_sources(nvtop PRIVATE extract_gpuinfo_intel.c)
endif()

target_include_directories(nvtop PRIVATE
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include)

find_package(Sanitizers)

add_sanitizers(nvtop)

set_property(TARGET nvtop PROPERTY C_STANDARD 11)

target_compile_definitions(nvtop PRIVATE _GNU_SOURCE)

target_link_libraries(nvtop
  PRIVATE ncurses m ${CMAKE_DL_LIBS})

install(TARGETS nvtop
  RUNTIME DESTINATION bin)

include(compile-flags-helpers)
include(${PROJECT_SOURCE_DIR}/cmake/optimization_flags.cmake)

add_compiler_option_to_target_type(nvtop Debug PRIVATE ${ADDITIONAL_DEBUG_COMPILE_OPTIONS})
add_linker_option_to_all_but_target_type(nvtop dummy PRIVATE ${ADDITIONAL_RELEASE_LINK_OPTIONS})

=== debian/changelog ===
nvtop (3.0.1-1) unstable; urgency=medium

  * New upstream release 3.0.1.
  * Enable support for AMD and Intel GPUs.  (Closes: #1025348)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Dec 2022 23:24:49 +0100

nvtop (2.0.3-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 2.0.3.  (Closes: #1014285, #1018848)
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 19:26:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,14 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 3.1),
+ cmake,
+ libdrm-dev,
+ libgtest-dev,
  libncurses-dev,
+ libsystemd-dev,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvtop-$1\.tar\.gz/ \
  https://github.com/Syllo/nvtop/tags .*/v?(\d\S+)\.tar\.gz

## nvtop 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.0.1
+project(nvtop VERSION 3.0.2
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -63,6 +63,7 @@
 option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
 option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
 option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
+option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ON)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,16 +58,24 @@
   target_sources(nvtop PRIVATE device_discovery_linux.c)
 endif()
 
-if(AMDGPU_SUPPORT)
+if(AMDGPU_SUPPORT OR MSM_SUPPORT)
   # Search for libdrm for AMDGPU support
   find_package(Libdrm)
 
   if(Libdrm_FOUND)
-    message(STATUS "Found libdrm; Enabling AMDGPU support")
+    message(STATUS "Found libdrm; Enabling support")
     target_include_directories(nvtop PRIVATE ${Libdrm_INCLUDE_DIRS})
-    target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
+    if (AMDGPU_SUPPORT)
+      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
+      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu_utils.c)
+    endif()
+
+    if (MSM_SUPPORT)
+      target_sources(nvtop PRIVATE extract_gpuinfo_msm.c)
+      target_sources(nvtop PRIVATE extract_gpuinfo_msm_utils.c)
+    endif()
   else()
-    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU support")
+    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU and MSM support")
   endif()
 endif()

=== tests/CMakeLists.txt ===
find_package(GTest)
if (BUILD_TESTING AND GTest_FOUND)

  option(THOROUGH_TESTING "Enable extensive testing (takes hours, e.g., use once per release)" OFF)

  # Create a library for testing
  add_library(testLib
    ${PROJECT_SOURCE_DIR}/src/interface_layout_selection.c
    ${PROJECT_SOURCE_DIR}/src/interface_options.c
    ${PROJECT_SOURCE_DIR}/src/ini.c
  )
  target_include_directories(testLib PUBLIC
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_BINARY_DIR}/include)

  # Tests
  add_executable(
    interfaceTests
    interfaceTests.cpp
  )
  target_link_libraries(interfaceTests PRIVATE testLib GTest::gtest_main)
  gtest_discover_tests(interfaceTests)

  if (THOROUGH_TESTING)
    target_compile_definitions(interfaceTests PRIVATE THOROUGH_TESTING)
  endif()


endif()

=== debian/changelog ===
nvtop (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 13:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsystemd-dev,
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

## nvtop 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.18)
 
 #///////////////////////////////////////////////////////////////////#
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.0.2
+project(nvtop VERSION 3.1.0
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -60,10 +60,43 @@
   set(CMAKE_INSTALL_RPATH "")
 endif()
 
-option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ON)
-option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ON)
-option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ON)
-option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ON)
+if(APPLE)
+  set(APPLE_SUPPORT_DEFAULT ON)
+  set(NVIDIA_SUPPORT_DEFAULT OFF)
+  set(AMDGPU_SUPPORT_DEFAULT OFF)
+  set(INTEL_SUPPORT_DEFAULT OFF)
+  set(MSM_SUPPORT_DEFAULT OFF)
+  set(PANFROST_SUPPORT_DEFAULT OFF)
+  set(PANTHOR_SUPPORT_DEFAULT OFF)
+  set(ASCEND_SUPPORT_DEFAULT OFF)
+elseif(ASCEND_SUPPORT)
+  set(APPLE_SUPPORT_DEFAULT OFF)
+  set(NVIDIA_SUPPORT_DEFAULT OFF)
+  set(AMDGPU_SUPPORT_DEFAULT OFF)
+  set(INTEL_SUPPORT_DEFAULT OFF)
+  set(MSM_SUPPORT_DEFAULT OFF)
+  set(PANFROST_SUPPORT_DEFAULT OFF)
+  set(PANTHOR_SUPPORT_DEFAULT OFF)
+  set(ASCEND_SUPPORT_DEFAULT ON)
+else()
+  set(APPLE_SUPPORT_DEFAULT OFF)
+  set(NVIDIA_SUPPORT_DEFAULT ON)
+  set(AMDGPU_SUPPORT_DEFAULT ON)
+  set(INTEL_SUPPORT_DEFAULT ON)
+  set(MSM_SUPPORT_DEFAULT ON)
+  set(PANFROST_SUPPORT_DEFAULT ON)
+  set(PANTHOR_SUPPORT_DEFAULT ON)
+  set(ASCEND_SUPPORT_DEFAULT OFF)
+endif()
+
+option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ${NVIDIA_SUPPORT_DEFAULT})
+option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ${AMDGPU_SUPPORT_DEFAULT})
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ${INTEL_SUPPORT_DEFAULT})
+option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ${MSM_SUPPORT_DEFAULT})
+option(APPLE_SUPPORT "Build support for Apple GPUs through Metal" ${APPLE_SUPPORT_DEFAULT})
+option(PANFROST_SUPPORT "Build support for Mali GPUs through panfrost driver" ${PANFROST_SUPPORT_DEFAULT})
+option(PANTHOR_SUPPORT "Build support for Mali GPUs through panthor driver" ${PANTHOR_SUPPORT_DEFAULT})
+option(ASCEND_SUPPORT "Build support for Ascend NPUs through Ascend DCMI" ${ASCEND_SUPPORT_DEFAULT})
 
 add_subdirectory(src)

=== debian/changelog ===
nvtop (3.1.0-2) unstable; urgency=medium

  * Use UTC timestamps for reproducibility.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 10:04:56 +0100

nvtop (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0.
  * Refresh d/copyright.
  * Update Description.
  * Move from contrib to main.  (Closes: #1066807)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 21:51:22 +0100

=== debian/control ===
Source: nvtop
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Maxime Schmitt <maxime.schmitt91@gmail.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libdrm-dev,
 libgtest-dev,
 libncurses-dev,
 libsystemd-dev,
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Syllo/nvtop
Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

Package: nvtop
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Neat Videocard TOP
 NVTOP stands for Neat Videocard TOP, a (h)top like task monitor for AMD, Intel
 and NVIDIA GPUs. It can handle multiple GPUs and print information
 about them in a htop-familiar way.

## nvtop 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #                              PROJECT                              #
 #///////////////////////////////////////////////////////////////////#
 
-project(nvtop VERSION 3.1.0
+project(nvtop VERSION 3.2.0
   LANGUAGES C CXX)
 
 set(default_build_type "Release")
@@ -39,6 +39,7 @@
   INTERFACE_INCLUDE_DIRECTORIES ${CURSES_INCLUDE_DIRS})
 set_property(TARGET ncurses PROPERTY
   INTERFACE_LINK_LIBRARIES ${CURSES_LIBRARIES})
+add_compile_definitions(NCURSES_ENABLE_STDBOOL_H=1)
 
 #///////////////////////////////////////////////////////////////////#
 #                        COMPILATION OPTIONS                        #
@@ -83,20 +84,40 @@
   set(NVIDIA_SUPPORT_DEFAULT ON)
   set(AMDGPU_SUPPORT_DEFAULT ON)
   set(INTEL_SUPPORT_DEFAULT ON)
+  set(V3D_SUPPORT_DEFAULT ON)
   set(MSM_SUPPORT_DEFAULT ON)
   set(PANFROST_SUPPORT_DEFAULT ON)
   set(PANTHOR_SUPPORT_DEFAULT ON)
   set(ASCEND_SUPPORT_DEFAULT OFF)
 endif()
 
+# TPU support is only available on Linux
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  # Check for libtpuinfo.so to set the default for TPU support
+  find_library(LIBTPUINFO
+    NAMES libtpuinfo.so
+    PATHS /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64
+    HINTS ${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_INSTALL_PREFIX}/lib64 lib lib64
+  )
+  if (NOT LIBTPUINFO)
+    set(TPU_SUPPORT_DEFAULT OFF)
+  else()
+    set(TPU_SUPPORT_DEFAULT ON)
+  endif()
+else()
+  set(TPU_SUPPORT_DEFAULT OFF)
+endif()
+
 option(NVIDIA_SUPPORT "Build support for NVIDIA GPUs through libnvml" ${NVIDIA_SUPPORT_DEFAULT})
 option(AMDGPU_SUPPORT "Build support for AMD GPUs through amdgpu driver" ${AMDGPU_SUPPORT_DEFAULT})
-option(INTEL_SUPPORT "Build support for Intel GPUs through i915 driver" ${INTEL_SUPPORT_DEFAULT})
+option(INTEL_SUPPORT "Build support for Intel GPUs through i915 or xe driver" ${INTEL_SUPPORT_DEFAULT})
 option(MSM_SUPPORT "Build support for Adreno GPUs through msm driver" ${MSM_SUPPORT_DEFAULT})
 option(APPLE_SUPPORT "Build support for Apple GPUs through Metal" ${APPLE_SUPPORT_DEFAULT})
 option(PANFROST_SUPPORT "Build support for Mali GPUs through panfrost driver" ${PANFROST_SUPPORT_DEFAULT})
 option(PANTHOR_SUPPORT "Build support for Mali GPUs through panthor driver" ${PANTHOR_SUPPORT_DEFAULT})
 option(ASCEND_SUPPORT "Build support for Ascend NPUs through Ascend DCMI" ${ASCEND_SUPPORT_DEFAULT})
+option(V3D_SUPPORT "Build support for Raspberrypi through v3d" ${V3D_SUPPORT_DEFAULT})
+option(TPU_SUPPORT "Build support for Google TPUs through GRPC" ${TPU_SUPPORT_DEFAULT})
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,11 @@
   interface_options.c
   interface_setup_win.c
   interface_ring_buffer.c
-  get_process_info_linux.c
   extract_gpuinfo.c
-  extract_processinfo_fdinfo.c
   time.c
   plot.c
   ini.c
-  info_messages_linux.c)
+)
 
 check_c_source_compiles(
   "
@@ -40,11 +38,29 @@
 find_package(Systemd)
 option(USE_LIBUDEV_OVER_LIBSYSTEMD "Use libudev, even if libsystemd is present" OFF)
 
+if(UNIX AND NOT APPLE)
+  target_sources(nvtop PRIVATE
+    get_process_info_linux.c
+    extract_processinfo_fdinfo.c
+    info_messages_linux.c)
+elseif(APPLE)
+  target_sources(nvtop PRIVATE
+    get_process_info_mac.c
+    extract_processinfo_mac.c
+    info_messages_mac.c)
+endif()
+
 if(NVIDIA_SUPPORT)
   target_sources(nvtop PRIVATE extract_gpuinfo_nvidia.c)
 endif()
 
-if(AMDGPU_SUPPORT OR INTEL_SUPPORT)
+if(ASCEND_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_ascend.c)
+  set(DCMI_LIBRARY_PATH /usr/local/Ascend/driver/lib64/driver)
+  target_link_libraries(nvtop PRIVATE "${DCMI_LIBRARY_PATH}/libdcmi.so")
+endif()
+
+if(AMDGPU_SUPPORT OR INTEL_SUPPORT OR V3D_SUPPORT)
   if((SYSTEMD_FOUND AND UDEV_FOUND AND USE_LIBUDEV_OVER_LIBSYSTEMD) OR(NOT SYSTEMD_FOUND AND UDEV_FOUND))
     target_compile_definitions(nvtop PRIVATE USING_LIBUDEV)
     target_link_libraries(nvtop PRIVATE udev)
@@ -52,35 +68,81 @@
     target_compile_definitions(nvtop PRIVATE USING_LIBSYSTEMD)
     target_link_libraries(nvtop PRIVATE systemd)
   else()
-    message(FATAL_ERROR "Neither libsystemd nor libudev were found; These are required for AMDGPU and INTEL support")
+    message(FATAL_ERROR "Neither libsystemd nor libudev were found; These are required for AMDGPU, INTEL and V3D support")
   endif()
 
   target_sources(nvtop PRIVATE device_discovery_linux.c)
 endif()
 
-if(AMDGPU_SUPPORT OR MSM_SUPPORT)
+if(AMDGPU_SUPPORT OR INTEL_SUPPORT OR MSM_SUPPORT OR PANFROST_SUPPORT OR PANTHOR_SUPPORT)
   # Search for libdrm for AMDGPU support
   find_package(Libdrm)
 
   if(Libdrm_FOUND)
     message(STATUS "Found libdrm; Enabling support")
     target_include_directories(nvtop PRIVATE ${Libdrm_INCLUDE_DIRS})
-    if (AMDGPU_SUPPORT)
-      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
-      target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu_utils.c)
-    endif()
+  else()
+    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU, INTEL, MSM, PANFROST and PANTHOR support")
+    # CMake will exit if libdrm is not found
+  endif()
+endif()
 
-    if (MSM_SUPPORT)
-      target_sources(nvtop PRIVATE extract_gpuinfo_msm.c)
-      target_sources(nvtop PRIVATE extract_gpuinfo_msm_utils.c)
-    endif()
-  else()
-    message(FATAL_ERROR "libdrm not found; This library is required for AMDGPU and MSM support")
-  endif()
+if (AMDGPU_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_amdgpu_utils.c)
+endif()
+
+if (MSM_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_msm.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_msm_utils.c)
 endif()
 
 if(INTEL_SUPPORT)
   target_sources(nvtop PRIVATE extract_gpuinfo_intel.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_intel_i915.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_intel_xe.c)
+endif()
+
+if(V3D_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_v3d.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_v3d_utils.c)
+endif()
+
+if(APPLE_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_apple.m)
+  target_link_libraries(nvtop PRIVATE
+    "-framework Metal"
+    "-framework AppKit"
+    "-framework Foundation"
+    "-framework QuartzCore"
+    "-framework IOKit")
+endif()
+
+if (PANFROST_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_panfrost.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_panfrost_utils.c)
+endif()
+
+if (PANTHOR_SUPPORT)
+  target_sources(nvtop PRIVATE extract_gpuinfo_panthor.c)
+  target_sources(nvtop PRIVATE extract_gpuinfo_panthor_utils.c)
+endif()
+
+if ((PANFROST_SUPPORT) OR (PANTHOR_SUPPORT))
+  target_sources(nvtop PRIVATE extract_gpuinfo_mali_common.c)
+endif()
+
+if(TPU_SUPPORT)
+  find_library(LIBTPUINFO
+    NAMES libtpuinfo.so
+    PATHS /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64
+    HINTS ${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_INSTALL_PREFIX}/lib64 lib lib64
+  )
+  if (NOT LIBTPUINFO)
+    message(WARNING "TPU Support enabled, but libtpuinfo.so not found in ldconfig path, we will not be able to read TPU usage")
+    set(TPU_SUPPORT_DEFAULT OFF)
+  endif()
+  target_sources(nvtop PRIVATE extract_gpuinfo_tpu.c)
 endif()
 
 target_include_directories(nvtop PRIVATE

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
   # Create a library for testing
   add_library(testLib
     ${PROJECT_SOURCE_DIR}/src/interface_layout_selection.c
+    ${PROJECT_SOURCE_DIR}/src/extract_processinfo_fdinfo.c
     ${PROJECT_SOURCE_DIR}/src/interface_options.c
     ${PROJECT_SOURCE_DIR}/src/ini.c
   )

=== debian/changelog ===
nvtop (3.2.0-1) unstable; urgency=medium

  * New upstream release 3.2.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Apr 2025 12:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsystemd-dev,
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Syllo/nvtop
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvtop.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvtop

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
%:
	dh $@
